plymouthd crashed with SIGSEGV in script_obj_deref_direct()

Bug #1745406 reported by Cristian Aravena Romero on 2018-01-25
714
This bug affects 75 people
Affects Status Importance Assigned to Milestone
Plymouth
Unknown
Medium
plymouth (Ubuntu)
Medium
Brian Murray

Bug Description

Hello,

I do not know why this happened

Regards,
--
Cristian

ProblemType: Crash
DistroRelease: Ubuntu 18.04
Package: plymouth 0.9.3-1ubuntu1
Uname: Linux 4.15.0-041500rc9-generic x86_64
ApportVersion: 2.20.8-0ubuntu6
Architecture: amd64
Date: Thu Jan 25 09:05:56 2018
DefaultPlymouth: /usr/share/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
ExecutablePath: /sbin/plymouthd
ExecutableTimestamp: 1516196236
InstallationDate: Installed on 2017-10-13 (103 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170926)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 530U3C/530U4C
ProcCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-041500rc9-generic root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@ quiet splash vt.handoff=7
ProcCmdline: @sbin/plymouthd --mode=boot --pid-file=/run/plymouth/pid --attach-to-session
ProcCwd: /
ProcEnviron:
 LANG=es_CL.UTF-8
 LANGUAGE=es_CL:es
 PATH=(custom, no user)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-041500rc9-generic root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@ quiet splash vt.handoff=7
SegvAnalysis:
 Segfault happened at: 0x7faef226f480 <script_obj_deref_direct>: cmpl $0x1,(%rdi)
 PC (0x7faef226f480) ok
 source "$0x1" ok
 destination "(%rdi)" (0x00000000) not located in a known VMA region (needed writable region)!
SegvReason: writing NULL VMA
Signal: 11
SourcePackage: plymouth
StacktraceTop:
 script_obj_deref_direct () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
 script_obj_as_custom () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
 script_execute_object () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
 script_lib_plymouth_on_display_normal () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
 () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
TextPlymouth: /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 04/15/2013
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: P14AAJ
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: SAMSUNG_NP1234567890
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: FAB1
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvrP14AAJ:bd04/15/2013:svnSAMSUNGELECTRONICSCO.,LTD.:pn530U3C/530U4C:pvr0.1:rvnSAMSUNGELECTRONICSCO.,LTD.:rnSAMSUNG_NP1234567890:rvrFAB1:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvr0.1:
dmi.product.family: ChiefRiver System
dmi.product.name: 530U3C/530U4C
dmi.product.version: 0.1
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

StacktraceTop:
 script_obj_deref_direct (obj=0x0) at ./script-object.c:133
 script_obj_as_custom (obj=<optimized out>, user_func=user_func@entry=0x7faef226ef70 <script_obj_execute>, user_data=user_data@entry=0x7ffc11c15b10) at ./script-object.c:242
 script_execute_object_with_parlist (parameter_data=0x55ba4b4f7600, this=0x0, obj=<optimized out>, state=0x55ba4b3dd390) at ./script-execute.c:287
 script_execute_object (state=0x55ba4b3dd390, function=<optimized out>, this=this@entry=0x0, first_arg=first_arg@entry=0x0) at ./script-execute.c:649
 script_lib_plymouth_on_display_normal (state=<optimized out>, data=<optimized out>) at ./script-lib-plymouth.c:289

Changed in plymouth (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Download full text (4.5 KiB)

Hello,

Open bug in Launchpad.net
https://bugs.launchpad.net/bugs/1745406

"I do not know why this happened"

BackTrace:
#0 script_obj_deref_direct (obj=0x0) at ./script-object.c:133
No locals.
#1 0x00007faef226f6ff in script_obj_as_custom (obj=<optimized out>, user_func=user_func@entry=0x7faef226ef70 <script_obj_execute>, user_data=user_data@entry=0x7ffc11c15b10) at ./script-object.c:242
        reply = <optimized out>
#2 0x00007faef226ecac in script_execute_object_with_parlist (parameter_data=0x55ba4b4f7600, this=0x0, obj=<optimized out>, state=0x55ba4b3dd390) at ./script-execute.c:287
        execute_data = {state = 0x55ba4b3dd390, this = 0x0, parameter_data = 0x55ba4b4f7600}
        execute_data = <optimized out>
#3 script_execute_object (state=0x55ba4b3dd390, function=<optimized out>, this=this@entry=0x0, first_arg=first_arg@entry=0x0) at ./script-execute.c:649
        reply = <optimized out>
        args = {{gp_offset = 32, fp_offset = 21946, overflow_arg_area = 0x7ffc11c15bb0, reg_save_area = 0x7ffc11c15b50}}
        arg = <optimized out>
        parameter_data = 0x55ba4b4f7600
#4 0x00007faef2272be3 in script_lib_plymouth_on_display_normal (state=<optimized out>, data=<optimized out>) at ./script-lib-plymouth.c:289
        ret = <optimized out>
#5 0x00007faef226ba42 in display_normal (plugin=0x55ba4b3dd2a0) at ./plugin.c:473
No locals.
#6 0x00007faef4459101 in create_text_displays_for_terminal (terminal=0x55ba4b3d1c10, manager=0x55ba4b3d1a70) at ply-device-manager.c:658
        display = 0x55ba4b4f3780
        display = <optimized out>
        _old_errno = <optimized out>
        _old_errno = <optimized out>
#7 create_devices_for_terminal_and_renderer_type (manager=0x55ba4b3d1a70, device_path=<optimized out>, terminal=0x55ba4b3d1c10, renderer_type=<optimized out>) at ply-device-manager.c:735
        renderer = <optimized out>
        keyboard = 0x55ba4b446de0
        __func__ = "create_devices_for_terminal_and_renderer_type"
#8 0x00007faef4670e32 in ply_event_loop_handle_timeouts (loop=0x55ba4b3ca3a0) at ply-event-loop.c:1192
        next_node = <optimized out>
        watch = 0x55ba4b3d1990
        node = 0x55ba4b3e75d0
        now = 10.590881546
        node = <optimized out>
        now = <optimized out>
        next_node = <optimized out>
        watch = <optimized out>
#9 ply_event_loop_process_pending_events (loop=loop@entry=0x55ba4b3ca3a0) at ply-event-loop.c:1251
        timeout = <optimized out>
        number_of_received_events = 0
        i = <optimized out>
        events = {{events = 4294967295, data = {ptr = 0xffffffffffffffff, fd = -1, u32 = 4294967295, u64 = 18446744073709551615}} <repeats 64 times>}
        __PRETTY_FUNCTION__ = "ply_event_loop_process_pending_events"
#10 0x00007faef4671480 in ply_event_loop_run (loop=0x55ba4b3ca3a0) at ply-event-loop.c:1310
No locals.
#11 0x000055ba49be1514 in main (argc=4, argv=0x7ffc11c16f58) at main.c:2390
        state = {loop = 0x55ba4b3ca3a0, boot_server = 0x55ba4b3cce70, boot_splash = 0x55ba4b3d6b10, session = 0x55ba4b3ce1a0, boot_buffer = 0x55ba4b3cd170, progress = 0x55ba4b3d17a0, keystroke_triggers = 0x55ba4b3cbdc0, entry_triggers = 0x55ba4b3cbde0, entry_buffer = ...

Read more...

information type: Private → Public

Are you running a custom theme? If so could you supply the .script component of it?

Hello,

I'm not using a custom theme.

Regards,
--
Cristian

Changed in plymouth:
importance: Unknown → Medium
status: Unknown → In Progress
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in plymouth (Ubuntu):
status: New → Confirmed
tags: added: bugpattern-needed

Created attachment 138557
Ubuntu script

Ubuntu uses the attached script by default.

Brian Murray (brian-murray) wrote :

It might be helpful to get some plymouth debug log files, you can have plymouth run in debug mode by adding 'plymouth.debug' to /etc/default/grub and then running sudo update-grub. Here's what the correct line in /etc/default/grub might look like.

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash plymouth.debug"

After rebooting and running plymouth in debug mode you'll have a log file at '/var/log/plymouth-debug.log'. It'd be great if someone experiencing the crash could attach that file to this bug.

Tomasz (kucharzyk) wrote :

Plymouth is crashing randomly on my machine.

I've tried to reboot three times but it doesn't want to crash :(

Here is my log - without crash but it contains few errors - maybe it will be helpful.

Tomasz (kucharzyk) wrote :

Now It's crashed

David (mastermouseiii) wrote :

On my system at least it seems to be causing a system wide error, leaving the mouse as the only working device on the system, usually about a minute or two after logged into gnome, using gdm.

Brian Murray (brian-murray) wrote :

Does this happen to anybody on a regular basis? Would you be able to test a package from a PPA and confirm that the crash is no longer happening?

Andrea Azzarone (azzar1) wrote :

I get this every login. I can test the ppa if it helps.

Download full text (3.7 KiB)

Hi,

It happens almost every day, so testing won't be a problem.

Regards,

Jeroen

Op do 12 apr. 2018 19:51 schreef Brian Murray <email address hidden>:

> Does this happen to anybody on a regular basis? Would you be able to
> test a package from a PPA and confirm that the crash is no longer
> happening?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1761948).
> https://bugs.launchpad.net/bugs/1745406
>
> Title:
> plymouthd crashed with SIGSEGV in script_obj_deref_direct()
>
> Status in Plymouth:
> In Progress
> Status in plymouth package in Ubuntu:
> Confirmed
>
> Bug description:
> Hello,
>
> I do not know why this happened
>
> Regards,
> --
> Cristian
>
> ProblemType: Crash
> DistroRelease: Ubuntu 18.04
> Package: plymouth 0.9.3-1ubuntu1
> Uname: Linux 4.15.0-041500rc9-generic x86_64
> ApportVersion: 2.20.8-0ubuntu6
> Architecture: amd64
> Date: Thu Jan 25 09:05:56 2018
> DefaultPlymouth:
> /usr/share/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
> ExecutablePath: /sbin/plymouthd
> ExecutableTimestamp: 1516196236
> InstallationDate: Installed on 2017-10-13 (103 days ago)
> InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64
> (20170926)
> MachineType: SAMSUNG ELECTRONICS CO., LTD. 530U3C/530U4C
> ProcCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-041500rc9-generic
> root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@ quiet
> splash vt.handoff=7
> ProcCmdline: @sbin/plymouthd --mode=boot --pid-file=/run/plymouth/pid
> --attach-to-session
> ProcCwd: /
> ProcEnviron:
> LANG=es_CL.UTF-8
> LANGUAGE=es_CL:es
> PATH=(custom, no user)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-041500rc9-generic
> root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@ quiet
> splash vt.handoff=7
> SegvAnalysis:
> Segfault happened at: 0x7faef226f480 <script_obj_deref_direct>:
> cmpl $0x1,(%rdi)
> PC (0x7faef226f480) ok
> source "$0x1" ok
> destination "(%rdi)" (0x00000000) not located in a known VMA region
> (needed writable region)!
> SegvReason: writing NULL VMA
> Signal: 11
> SourcePackage: plymouth
> StacktraceTop:
> script_obj_deref_direct () at
> /usr/lib/x86_64-linux-gnu/plymouth/script.so
> script_obj_as_custom () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
> script_execute_object () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
> script_lib_plymouth_on_display_normal () at
> /usr/lib/x86_64-linux-gnu/plymouth/script.so
> () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
> TextPlymouth: /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
> Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> dmi.bios.date: 04/15/2013
> dmi.bios.vendor: Phoenix Technologies Ltd.
> dmi.bios.version: P14AAJ
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: SAMSUNG_NP1234567890
> dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
> dmi.board.version: FAB1
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.t...

Read more...

Adam Carter (navcommstrc) wrote :
Download full text (7.5 KiB)

Yeah every login after boot

On Fri., 13 Apr. 2018, 5:01 am Jeroen Donkervoort, <
<email address hidden>> wrote:

> Hi,
>
> It happens almost every day, so testing won't be a problem.
>
> Regards,
>
> Jeroen
>
>
> Op do 12 apr. 2018 19:51 schreef Brian Murray <email address hidden>:
>
> > Does this happen to anybody on a regular basis? Would you be able to
> > test a package from a PPA and confirm that the crash is no longer
> > happening?
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1761948).
> > https://bugs.launchpad.net/bugs/1745406
> >
> > Title:
> > plymouthd crashed with SIGSEGV in script_obj_deref_direct()
> >
> > Status in Plymouth:
> > In Progress
> > Status in plymouth package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > Hello,
> >
> > I do not know why this happened
> >
> > Regards,
> > --
> > Cristian
> >
> > ProblemType: Crash
> > DistroRelease: Ubuntu 18.04
> > Package: plymouth 0.9.3-1ubuntu1
> > Uname: Linux 4.15.0-041500rc9-generic x86_64
> > ApportVersion: 2.20.8-0ubuntu6
> > Architecture: amd64
> > Date: Thu Jan 25 09:05:56 2018
> > DefaultPlymouth:
> > /usr/share/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
> > ExecutablePath: /sbin/plymouthd
> > ExecutableTimestamp: 1516196236
> > InstallationDate: Installed on 2017-10-13 (103 days ago)
> > InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64
> > (20170926)
> > MachineType: SAMSUNG ELECTRONICS CO., LTD. 530U3C/530U4C
> > ProcCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-041500rc9-generic
> > root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@
> quiet
> > splash vt.handoff=7
> > ProcCmdline: @sbin/plymouthd --mode=boot --pid-file=/run/plymouth/pid
> > --attach-to-session
> > ProcCwd: /
> > ProcEnviron:
> > LANG=es_CL.UTF-8
> > LANGUAGE=es_CL:es
> > PATH=(custom, no user)
> > ProcFB: 0 inteldrmfb
> > ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-041500rc9-generic
> > root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@
> quiet
> > splash vt.handoff=7
> > SegvAnalysis:
> > Segfault happened at: 0x7faef226f480 <script_obj_deref_direct>:
> > cmpl $0x1,(%rdi)
> > PC (0x7faef226f480) ok
> > source "$0x1" ok
> > destination "(%rdi)" (0x00000000) not located in a known VMA region
> > (needed writable region)!
> > SegvReason: writing NULL VMA
> > Signal: 11
> > SourcePackage: plymouth
> > StacktraceTop:
> > script_obj_deref_direct () at
> > /usr/lib/x86_64-linux-gnu/plymouth/script.so
> > script_obj_as_custom () at
> /usr/lib/x86_64-linux-gnu/plymouth/script.so
> > script_execute_object () at
> /usr/lib/x86_64-linux-gnu/plymouth/script.so
> > script_lib_plymouth_on_display_normal () at
> > /usr/lib/x86_64-linux-gnu/plymouth/script.so
> > () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
> > TextPlymouth:
> /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
> > Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
> > UpgradeStatus: No upgrade log present (probably fresh install)
> > UserGroups:
> >
> > dmi.bios.date: 04/15/201...

Read more...

Brian Murray (brian-murray) wrote :

I've uploaded a version of plymouth for bionic to test with to my PPA.

https://launchpad.net/~brian-murray/+archive/ubuntu/ppa

Dominique Meeùs (dominiquem) wrote :

(From Bug 1762022)
I did add the ppa to my sources list and installed the new version.
I did not have a crash at startup since (but I am not sure to have had one every time).

Adam Carter (navcommstrc) wrote :
Download full text (3.7 KiB)

No longer experienced

On Fri., 13 Apr. 2018, 3:51 am Brian Murray, <email address hidden> wrote:

> Does this happen to anybody on a regular basis? Would you be able to
> test a package from a PPA and confirm that the crash is no longer
> happening?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1762146).
> https://bugs.launchpad.net/bugs/1745406
>
> Title:
> plymouthd crashed with SIGSEGV in script_obj_deref_direct()
>
> Status in Plymouth:
> In Progress
> Status in plymouth package in Ubuntu:
> Confirmed
>
> Bug description:
> Hello,
>
> I do not know why this happened
>
> Regards,
> --
> Cristian
>
> ProblemType: Crash
> DistroRelease: Ubuntu 18.04
> Package: plymouth 0.9.3-1ubuntu1
> Uname: Linux 4.15.0-041500rc9-generic x86_64
> ApportVersion: 2.20.8-0ubuntu6
> Architecture: amd64
> Date: Thu Jan 25 09:05:56 2018
> DefaultPlymouth:
> /usr/share/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
> ExecutablePath: /sbin/plymouthd
> ExecutableTimestamp: 1516196236
> InstallationDate: Installed on 2017-10-13 (103 days ago)
> InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64
> (20170926)
> MachineType: SAMSUNG ELECTRONICS CO., LTD. 530U3C/530U4C
> ProcCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-041500rc9-generic
> root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@ quiet
> splash vt.handoff=7
> ProcCmdline: @sbin/plymouthd --mode=boot --pid-file=/run/plymouth/pid
> --attach-to-session
> ProcCwd: /
> ProcEnviron:
> LANG=es_CL.UTF-8
> LANGUAGE=es_CL:es
> PATH=(custom, no user)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-041500rc9-generic
> root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@ quiet
> splash vt.handoff=7
> SegvAnalysis:
> Segfault happened at: 0x7faef226f480 <script_obj_deref_direct>:
> cmpl $0x1,(%rdi)
> PC (0x7faef226f480) ok
> source "$0x1" ok
> destination "(%rdi)" (0x00000000) not located in a known VMA region
> (needed writable region)!
> SegvReason: writing NULL VMA
> Signal: 11
> SourcePackage: plymouth
> StacktraceTop:
> script_obj_deref_direct () at
> /usr/lib/x86_64-linux-gnu/plymouth/script.so
> script_obj_as_custom () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
> script_execute_object () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
> script_lib_plymouth_on_display_normal () at
> /usr/lib/x86_64-linux-gnu/plymouth/script.so
> () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
> TextPlymouth: /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
> Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> dmi.bios.date: 04/15/2013
> dmi.bios.vendor: Phoenix Technologies Ltd.
> dmi.bios.version: P14AAJ
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: SAMSUNG_NP1234567890
> dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
> dmi.board.version: FAB1
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 9
> dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., L...

Read more...

Jeroen Donkervoort (jpd68) wrote :
Download full text (7.5 KiB)

Same here, added the ppa, been rebooting and shutting down and no mention
anymore of this error.

2018-04-14 3:47 GMT+02:00 Adam Carter <email address hidden>:

> No longer experienced
>
> On Fri., 13 Apr. 2018, 3:51 am Brian Murray, <email address hidden> wrote:
>
> > Does this happen to anybody on a regular basis? Would you be able to
> > test a package from a PPA and confirm that the crash is no longer
> > happening?
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1762146).
> > https://bugs.launchpad.net/bugs/1745406
> >
> > Title:
> > plymouthd crashed with SIGSEGV in script_obj_deref_direct()
> >
> > Status in Plymouth:
> > In Progress
> > Status in plymouth package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > Hello,
> >
> > I do not know why this happened
> >
> > Regards,
> > --
> > Cristian
> >
> > ProblemType: Crash
> > DistroRelease: Ubuntu 18.04
> > Package: plymouth 0.9.3-1ubuntu1
> > Uname: Linux 4.15.0-041500rc9-generic x86_64
> > ApportVersion: 2.20.8-0ubuntu6
> > Architecture: amd64
> > Date: Thu Jan 25 09:05:56 2018
> > DefaultPlymouth:
> > /usr/share/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
> > ExecutablePath: /sbin/plymouthd
> > ExecutableTimestamp: 1516196236
> > InstallationDate: Installed on 2017-10-13 (103 days ago)
> > InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64
> > (20170926)
> > MachineType: SAMSUNG ELECTRONICS CO., LTD. 530U3C/530U4C
> > ProcCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-041500rc9-generic
> > root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@
> quiet
> > splash vt.handoff=7
> > ProcCmdline: @sbin/plymouthd --mode=boot --pid-file=/run/plymouth/pid
> > --attach-to-session
> > ProcCwd: /
> > ProcEnviron:
> > LANG=es_CL.UTF-8
> > LANGUAGE=es_CL:es
> > PATH=(custom, no user)
> > ProcFB: 0 inteldrmfb
> > ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-041500rc9-generic
> > root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@
> quiet
> > splash vt.handoff=7
> > SegvAnalysis:
> > Segfault happened at: 0x7faef226f480 <script_obj_deref_direct>:
> > cmpl $0x1,(%rdi)
> > PC (0x7faef226f480) ok
> > source "$0x1" ok
> > destination "(%rdi)" (0x00000000) not located in a known VMA region
> > (needed writable region)!
> > SegvReason: writing NULL VMA
> > Signal: 11
> > SourcePackage: plymouth
> > StacktraceTop:
> > script_obj_deref_direct () at
> > /usr/lib/x86_64-linux-gnu/plymouth/script.so
> > script_obj_as_custom () at /usr/lib/x86_64-linux-gnu/
> plymouth/script.so
> > script_execute_object () at /usr/lib/x86_64-linux-gnu/
> plymouth/script.so
> > script_lib_plymouth_on_display_normal () at
> > /usr/lib/x86_64-linux-gnu/plymouth/script.so
> > () at /usr/lib/x86_64-linux-gnu/plymouth/script.so
> > TextPlymouth: /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.
> plymouth
> > Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
> > UpgradeStatus: No upgrade log present (probably fresh install)
> > UserGroups:
> >
> > dmi.bios.date: 04/15/2013
> > dmi.bio...

Read more...

Andrea Azzarone (azzar1) wrote :

After installing plymouth from the above ppa I don't get the crash anymore.

Brian Murray (brian-murray) wrote :

The crash in the Error Tracker for this can be found here:

https://errors.ubuntu.com/problem/ca24c0c94ac60ac9ca8da3a4ff28dd1fda0b7100

Changed in plymouth (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Brian Murray (brian-murray)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.9.3-1ubuntu7

---------------
plymouth (0.9.3-1ubuntu7) bionic; urgency=medium

  * debian/patches/misc-changes.patch: Drop call to stop_animation as it would
    unreference a bunch of variables and may cause a crash writing a NULL VMA.
    (LP: #1745406)

 -- Brian Murray <email address hidden> Thu, 12 Apr 2018 17:07:36 -0700

Changed in plymouth (Ubuntu):
status: In Progress → Fix Released
Marcos Nascimento (wstlmn) wrote :

When this problem occurs, the mouse on the logon screen does not appear. I haven't tested the PPA yet. Log file:

tags: added: id-5ae73e3eeb6dee8e1438bb11

-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/plymouth/plymouth/issues/58.

Changed in plymouth:
status: In Progress → Unknown
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.